Intel® Quartus® Prime Software
Intel® Quartus® Prime Design Software, Design Entry, Synthesis, Simulation, Verification, Timing Analysis, System Design (Platform Designer, formerly Qsys)
Announcements
Intel Support hours are Monday-Fridays, 8am-5pm PST, except Holidays. Thanks to our community members who provide support during our down time or before we get to your questions. We appreciate you!

Need Forum Guidance? Click here
Search our FPGA Knowledge Articles here.

aoc error

Altera_Forum
Honored Contributor II
1,202 Views

When I excute aoc --llist-boards on my compiling machine, I got the following error: 

 

aoc: Unable to determine the execution environment of the Intel(R) FPGA Runtime Environment for OpenCL(TM). 

aoc: Detailed error: Could not find root directory for the SDK: could not find the 'share' directory 

 

But I could run aoc commond until yesterday,even I have complied the hello_world.aocx successfully days ago. 

 

I have reinstalled the SDK,but it doesn't work 

 

Can anyone give some help?Thanks. 

 

PS:I never install RTE on my system,install SDK&quartus only. I wonder why get the error about 'RTE'
0 Kudos
3 Replies
Altera_Forum
Honored Contributor II
113 Views

Hi, 

 

could you recheck the environment if is configured correctly? i mean the BSP folder path 

 

Regards, 

CloseCL 

(This message was posted on behalf of Intel Corporation)
Altera_Forum
Honored Contributor II
113 Views

Thanks for replying.I have tried but not work.Thanks

Altera_Forum
Honored Contributor II
113 Views

 

--- Quote Start ---  

When I excute aoc --llist-boards on my compiling machine, I got the following error: 

 

aoc: Unable to determine the execution environment of the Intel(R) FPGA Runtime Environment for OpenCL(TM). 

aoc: Detailed error: Could not find root directory for the SDK: could not find the 'share' directory 

 

But I could run aoc commond until yesterday,even I have complied the hello_world.aocx successfully days ago. 

 

I have reinstalled the SDK,but it doesn't work 

 

Can anyone give some help?Thanks. 

 

PS:I never install RTE on my system,install SDK&quartus only. I wonder why get the error about 'RTE' 

--- Quote End ---  

 

 

Hello, I met this question. Have you found a solution now?
Reply